org.apache.sling.hc.api.execution

## Class HealthCheckExecutionOptions

- java.lang.Object
- - org.apache.sling.hc.api.execution.HealthCheckExecutionOptions

Deprecated.

    @Deprecated
    public class HealthCheckExecutionOptions
    extends Object

Options for behavior of health check execution.

### Constructor Summary

Constructors
Constructor and Description
`HealthCheckExecutionOptions()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals(Object obj)` Deprecated.
`int` `getOverrideGlobalTimeout()` Deprecated.
`int` `hashCode()` Deprecated.
`boolean` `isCombineTagsWithOr()` Deprecated.
`boolean` `isForceInstantExecution()` Deprecated.
`void` `setCombineTagsWithOr(boolean combineTagsWithOr)` Deprecated. If activated, the given tags will be combined with a logical "or" instead of "and".
`void` `setForceInstantExecution(boolean forceInstantExecution)` Deprecated. If activated, this will ensure that asynchronous checks will be executed immediately.
`void` `setOverrideGlobalTimeout(int overrideGlobalTimeout)` Deprecated. Allows to override the global timeout for this particular execution of the health check.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HealthCheckExecutionOptions

    public HealthCheckExecutionOptions()

Deprecated.

### Method Detail

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### setForceInstantExecution

    public void setForceInstantExecution(boolean forceInstantExecution)

Deprecated.
If activated, this will ensure that asynchronous checks will be executed immediately.

Parameters:
  `forceInstantExecution` - boolean flag

#### setCombineTagsWithOr

    public void setCombineTagsWithOr(boolean combineTagsWithOr)

Deprecated.
If activated, the given tags will be combined with a logical "or" instead of "and".

Parameters:
  `combineTagsWithOr` - boolean flag

#### setOverrideGlobalTimeout

    public void setOverrideGlobalTimeout(int overrideGlobalTimeout)

Deprecated.
Allows to override the global timeout for this particular execution of the health check.

Parameters:
  `overrideGlobalTimeout` - timeout in ms to be used for this execution of the execution

#### isForceInstantExecution

    public boolean isForceInstantExecution()

Deprecated.

Returns:
  true if instant execution is turned on

#### isCombineTagsWithOr

    public boolean isCombineTagsWithOr()

Deprecated.

Returns:
  true if combining tags with or is turned on

#### getOverrideGlobalTimeout

    public int getOverrideGlobalTimeout()

Deprecated.

Returns:
  the timeout to be used for this execution (overriding the global timeout)

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Deprecated.

Overrides:
  `equals` in class `Object`